## net.i2p
Class I2PException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.I2PException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataFormatException, DHSessionKeyBuilder.InvalidPublicParameterException, I2CPMessageException, I2NPMessageException, I2PSessionException, TooManyStreamsException

    public class I2PException

extends Exception

Base class of I2P exceptions This was originally used to provide chained exceptions, but those were added to Exception in Java 1.4, so this class provides nothing extra at the moment.

Author:
  jrandom
See Also:
  Serialized Form

Constructor Summary
`I2PException()`
`I2PException(String msg)`
`I2PException(String msg, Throwable cause)`
`I2PException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2PException

    public I2PException()

### I2PException

    public I2PException(String msg)

### I2PException

    public I2PException(String msg,
                        Throwable cause)

### I2PException

    public I2PException(Throwable cause)

Since:
  0.8.2